/**
* v_index.js
* Version: 0.1
* User: zjx
* Date: 2017-09-26
* Copyright(c)  2017. U-GEN Tech.Co,Ltd. All Rights Reserved.
* 引导页面
*/

import {iot, uPublic, uComponents} from '../../public/public.js';
import unotify from '../../public/unotify.js';
import uloop from '../../public/uloop.js';

iot.ready(init);
function init() {
    const app = new Vue({
        data:{          
            
        },
        mounted(){
        	unotify.getCid((response) => {
				console.log(response);
			},(error) => {
				console.log(error);
			});
			mui("#refreshContainer").pullRefresh({
				up:{
				    contentrefresh : "正在加載...",//可選，正在加載狀態時，上拉加載控件上顯示的標題內容
				    contentnomore:'沒 有 更 多 數 據 了',//可選，請求完畢若沒有更多數據時顯示的提醒內容；
				    callback: beginLoopTap()
				},
			   	down : {
			      	height:50,//可選,默認50.觸發下拉刷新拖動距離,
			      	auto: true,//可選,默認false.首次加載自動下拉刷新一次
			        contentdown : "下拉可以刷新",//可選，在下拉可刷新狀態時，下拉刷新控件上顯示的標題內容
			        contentover : "釋放立即刷新",//可選，在釋放可刷新狀態時，下拉刷新控件上顯示的標題內容
			        contentrefresh : "正在刷新...",//可選，正在刷新狀態時，下拉刷新控件上顯示的標題內容
			        callback : beginLoopTap()
				}
			});
        },
        methods:{
//      	onBeginLoopTap(){
//      		beginLoopTap();
//      	}
        }   
    }).$mount('#app');
}

function beginLoopTap(){
	console.log("innnnn");
	 mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
}
